# FindFaad.cmake
# Find the faad includes and library
#
#  FAAD_INCLUDE_DIR - where to find faad.h, etc.
#  FAAD_LIBRARIES   - List of libraries when using faad
#  FAAD_FOUND       - True if faad found.

IF (FAAD_INCLUDE_DIR)
  # Already in cache, be silent
  SET (FAAD_FIND_QUIETLY TRUE)
ENDIF (FAAD_INCLUDE_DIR)

FIND_PATH (FAAD_INCLUDE_DIR faad.h)

SET (FAAD_NAMES faad)
FIND_LIBRARY (FAAD_LIBRARY NAMES ${FAAD_NAMES})

# handle the QUIETLY and REQUIRED arguments and set FAAD_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE (FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS (FAAD DEFAULT_MSG 
  FAAD_LIBRARY 
  FAAD_INCLUDE_DIR)

IF (FAAD_FOUND)
  SET (FAAD_LIBRARIES ${FAAD_LIBRARY})
ELSE (FAAD_FOUND)
  SET (FAAD_LIBRARIES)
ENDIF (FAAD_FOUND)

MARK_AS_ADVANCED (FAAD_LIBRARY FAAD_INCLUDE_DIR)

