# FindID3Tag.cmake
# Find the libid3tag includes and library
#
#  ID3TAG_INCLUDE_DIR - where to find id3tag.h, etc.
#  ID3TAG_LIBRARIES   - List of libraries when using id3tag
#  ID3TAG_FOUND       - True if id3tag found.

IF (ID3TAG_INCLUDE_DIR)
  # Already in cache, be silent
  SET (ID3TAG_FIND_QUIETLY TRUE)
ENDIF (ID3TAG_INCLUDE_DIR)

FIND_PATH (ID3TAG_INCLUDE_DIR id3tag.h)

SET (ID3TAG_NAMES id3tag)
FIND_LIBRARY (ID3TAG_LIBRARY NAMES ${ID3TAG_NAMES})

# handle the QUIETLY and REQUIRED arguments and set ID3TAG_FOUND to TRUE if 
# all listed variables are TRUE
INCLUDE (FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS (ID3TAG DEFAULT_MSG 
  ID3TAG_LIBRARY 
  ID3TAG_INCLUDE_DIR)

IF (ID3TAG_FOUND)
  SET (ID3TAG_LIBRARIES ${ID3TAG_LIBRARY})
ELSE (ID3TAG_FOUND)
  SET (ID3TAG_LIBRARIES)
ENDIF (ID3TAG_FOUND)

MARK_AS_ADVANCED (ID3TAG_LIBRARY ID3TAG_INCLUDE_DIR)
